VocalDocscontracts 1.65.0

Read the transcript of a Call

GET /v1/calls/{call_id}/transcript

PropertyValue
Operationget_call_transcript
GroupCalls
Scopetranscripts:read
Route classread
IdempotencyNo Idempotency-Key
AuditAn audited content read transcript.read
Released in1.0.0
Phase 0 hostServed (the hosted api pins 1.65.0)

Request

Set VOCAL_API to the base URL of your API and VOCAL_API_KEY to an API key with the transcripts:read scope (Authentication and keys). Replace each placeholder, such as agt_... or <name>, with your own value.

curl "$VOCAL_API/v1/calls/call_.../transcript" \
  -H "Authorization: Bearer $VOCAL_API_KEY"

Parameters

NameInTypeRequiredDescription
call_idpathCallIdyesThe id of a Call: call_ and the row's UUIDv7 in 26 Crockford base32 characters. Opaque and safe to log.

Responses

StatusContent typeShapeError codes
200application/jsonTranscript
400application/jsonErrorEnvelopeinvalid_request
401application/jsonErrorEnvelopeunauthenticated
403application/jsonErrorEnvelopeforbidden
404application/jsonErrorEnvelopenot_found
429application/jsonErrorEnveloperate_limited
500application/jsonErrorEnvelopeinternal_error

Fields of the 200 answer

The shape is Transcript.

FieldTypeRequiredDescription
call_idCallIdyes
object"transcript"yes
turnsarray of TranscriptTurnyes